import 'tender_submision_mode.dart';

/// Extension for parsing string to TenderSubmissionMode
extension TenderSubmissionModeExtension on String {
  /// Parse string to TenderSubmissionMode
  TenderSubmissionMode? toTenderSubmissionMode() {
    switch (this) {
      case 'self-apply':
        return TenderSubmissionMode.selfApply;
      case 'partnership':
        return TenderSubmissionMode.partnership;

      default:
        return null;
    }
  }
}
